/*
			    History Event Logging
 */

#ifndef EDV_HISTORY_H
#define EDV_HISTORY_H

#include <glib.h>
#include "edv_context.h"


/*
 *	Appends a new History Event to Endeavour's history list.
 */
extern void EDVHistoryAppend(
	edv_context_struct *ctx,
	const edv_history_type type,
	const gulong time_start,
	const gulong time_end,
	const gint status,
	const gchar *source,
	const gchar *target,
	const gchar *comments
);


#endif	/* EDV_HISTORY_H */
